​

Get list of custom directories

GET
https://example.kaiten.ru/api/latest/company/custom-directories

Returns directories in the authenticated company. Use query parameters to include related fields, author and records_count. Results are ordered by created descending before limit/offset.

Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
include_fieldsbooleanInclude directory fields
include_authorbooleanInclude author user object
include_records_countbooleanInclude the count of active and inactive records (removed records are excluded)
limitnumberDefault: 200 Max: 200Maximum number of directories in response
offsetnumberNumber of directories to skip. Default: 0
querystringSearch by directory name (case-insensitive)
conditionsarray of stringsFilter by active, inactive or removed. Default: active and inactive. Example: conditions[]=active&conditions[]=inactive
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
id

string

Directory ID (UUID)
name

string

Directory name
description

null | string

Directory description
condition

enum

Directory condition: active | inactive | removed
settings

object

Directory settings
records_count

integer

Records count (only when include_records_count=true)
fields

array of objects

Directory fields (only when include_fields=true)
author

object

Author user object (only when include_author=true)
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!